package example.entity;

import java.io.Serializable;

public class PasswordObject implements Serializable {
	private static final long serialVersionUID = 1L;
	private String dn;
	private String uid;
	private String passwordExpirationTime;
	private String passwordExpWarned;
	private String passwordRetryCount;
	private String retryCountResetTime;
	private String accountUnlockTime;
	private String passwordHistory;
	private String passwordAllowChangeTime;

	public PasswordObject() {
		super();
	}

	public void setDn(String dn) {
		this.dn = dn;
	}

	public String getDn() {
		return dn;
	}

	public void setPasswordExpirationTime(String passwordExpirationTime) {
		this.passwordExpirationTime = passwordExpirationTime;
	}

	public String getPasswordExpirationTime() {
		return passwordExpirationTime;
	}

	public void setPasswordExpWarned(String passwordExpWarned) {
		this.passwordExpWarned = passwordExpWarned;
	}

	public String getPasswordExpWarned() {
		return passwordExpWarned;
	}

	public void setPasswordRetryCount(String passwordRetryCount) {
		this.passwordRetryCount = passwordRetryCount;
	}

	public String getPasswordRetryCount() {
		return passwordRetryCount;
	}

	public void setRetryCountResetTime(String retryCountResetTime) {
		this.retryCountResetTime = retryCountResetTime;
	}

	public String getRetryCountResetTime() {
		return retryCountResetTime;
	}

	public void setAccountUnlockTime(String accountUnlockTime) {
		this.accountUnlockTime = accountUnlockTime;
	}

	public String getAccountUnlockTime() {
		return accountUnlockTime;
	}

	public void setPasswordHistory(String passwordHistory) {
		this.passwordHistory = passwordHistory;
	}

	public String getPasswordHistory() {
		return passwordHistory;
	}

	public void setPasswordAllowChangeTime(String passwordAllowChangeTime) {
		this.passwordAllowChangeTime = passwordAllowChangeTime;
	}

	public String getPasswordAllowChangeTime() {
		return passwordAllowChangeTime;
	}

	public String toString() {
		StringBuffer buffer = new StringBuffer();
		buffer.append("DN: ");
		buffer.append("dn=").append(dn).append(", ");
		buffer.append("MAY: ");
		buffer.append("passwordExpirationTime=").append(passwordExpirationTime).append(", ");
		buffer.append("passwordExpWarned=").append(passwordExpWarned).append(", ");
		buffer.append("passwordRetryCount=").append(passwordRetryCount).append(", ");
		buffer.append("retryCountResetTime=").append(retryCountResetTime).append(", ");
		buffer.append("accountUnlockTime=").append(accountUnlockTime).append(", ");
		buffer.append("passwordHistory=").append(passwordHistory).append(", ");
		buffer.append("passwordAllowChangeTime=").append(passwordAllowChangeTime);
		return buffer.toString();
	}

	public int hashCode() {
		return dn.hashCode();
	}

	public String getUid() {
		return uid;
	}

	public void setUid(String uid) {
		this.uid = uid;
	}
}