/**
 * 
 */
package example.directorydao;

import java.util.List;

import org.seasar.directory.dao.annotation.tiger.Arguments;
import org.seasar.directory.dao.annotation.tiger.S2Directory;

import example.entity.PasswordObject;
import example.entity.Person;

/**
 * @author 小林正和
 *
 */
@S2Directory(bean = PasswordObject.class)
public interface PasswordObjectDirectoryDao {
	@Arguments("dn")
	PasswordObject getByDn(String dn);
	
	List<PasswordObject> getAll();
	
	PasswordObject getPasswordObject(PasswordObject passwordObject);
	
	@Arguments("uid")
	PasswordObject getByUid(String uid);
}
